## GVirSecret GVirSecret |

## Synopsis

    struct              GVirSecret;
    struct              GVirSecretClass;
    const gchar *       gvir_secret_get_name                (GVirSecret *secret);
    const gchar *       gvir_secret_get_uuid                (GVirSecret *secret);
    GVirConfigSecret *  gvir_secret_get_config              (GVirSecret *secret,
                                                             guint flags,
                                                             GError **err);

## Object Hierarchy

      GObject
       +----GVirSecret

## Properties

      "handle"                   GVirSecretHandle*     : Read / Write / Construct Only

## Description

## Details

### struct GVirSecret

    struct GVirSecret;

### struct GVirSecretClass

    struct GVirSecretClass {
        GObjectClass parent_class;

        gpointer padding[20];
    };

### gvir_secret_get_name ()

    const gchar *       gvir_secret_get_name                (GVirSecret *secret);

### gvir_secret_get_uuid ()

    const gchar *       gvir_secret_get_uuid                (GVirSecret *secret);

### gvir_secret_get_config ()

    GVirConfigSecret *  gvir_secret_get_config              (GVirSecret *secret,
                                                             guint flags,
                                                             GError **err);

`secret` : | the secret
`flags` : | the flags
`err` : | Place-holder for possible errors
Returns : | the config. The returned object should be unreffed with `g_object_unref()` when no longer needed. [transfer full]

## Property Details

### The `"handle"` property

      "handle"                   GVirSecretHandle*     : Read / Write / Construct Only

The secret handle.